{"info":{"_postman_id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","name":"Kerplunk API","description":"<html><head></head><body><p>This collection contains endpoints for the Kerplunk API. To authenticate, use the X-API-Key header with your API key.</p>\n<p>Example:</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code>X-API-Key: your_api_key_here\n</code></pre><p>Replace <code>your_api_key_here</code> with your actual API key.</p>\n</body></html>","schema":"https://schema.getpostman.com/json/collection/v2.0.0/collection.json","toc":[],"owner":"32784590","collectionId":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","publishedId":"2sA3rzLDFr","public":true,"customColor":{"top-bar":"FFFFFF","right-sidebar":"303030","highlight":"609b00"},"publishDate":"2024-08-07T15:49:01.000Z"},"item":[{"name":"Jobs","item":[{"name":"List","event":[{"listen":"test","script":{"exec":["","","// Stores the first API key id in an environment or global variable","var firstObject = pm.response.json().results[0];","pm.collectionVariables.set(\"job_ulid\", firstObject.id);"],"type":"text/javascript","packages":{},"id":"6bffb8b9-3f48-4e88-9577-889144972adf"}}],"id":"311bc65e-6039-4969-9bfa-a04083373689","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.kerplunk.com/api/v1/job_listings","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"X-API-Key"},{"key":"value","value":"your_api_key"}]},"isInherited":true,"source":{"_postman_id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","name":"Kerplunk API","type":"collection"}},"urlObject":{"path":["job_listings"],"host":["https://api.kerplunk.com/api/v1"],"query":[],"variable":[]}},"response":[{"id":"3ce01f41-4c32-4d69-885b-273191f3b8a2","name":"Success","originalRequest":{"method":"GET","header":[],"url":"https://api.kerplunk.com/api/v1/job_listings"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[],"cookie":[],"responseTime":null,"body":"{\n    \"results\": [\n        {\n            \"id\": \"01H6MXPNKTV7YEWQ3K7JMZCRZM\",\n            \"title\": \"Software Engineer\",\n            \"description\": \"We are looking for a talented software engineer...\",\n            \"status\": \"open\",\n            \"created_at\": \"2023-07-20T15:30:45Z\"\n        }\n    ],\n    \"total_count\": 1,\n    \"page\": 1,\n    \"per_page\": 25\n}"}],"_postman_id":"311bc65e-6039-4969-9bfa-a04083373689"},{"name":"Show","id":"9a8e22c3-b493-4930-a630-23d3545d3fc7","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.kerplunk.com/api/v1/job_listings/{{job_ulid}}","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"X-API-Key"},{"key":"value","value":"your_api_key"}]},"isInherited":true,"source":{"_postman_id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","name":"Kerplunk API","type":"collection"}},"urlObject":{"path":["job_listings","{{job_ulid}}"],"host":["https://api.kerplunk.com/api/v1"],"query":[],"variable":[]}},"response":[{"id":"bd808bf1-c611-4899-a515-fc7199c8c611","name":"Success","originalRequest":{"method":"GET","header":[],"url":"https://api.kerplunk.com/api/v1/job_listings/{{job_ulid}}"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[],"cookie":[],"responseTime":null,"body":"{\n    \"id\": \"01H6MXPNKTV7YEWQ3K7JMZCRZM\",\n    \"title\": \"Software Engineer\",\n    \"description\": \"We are looking for a talented software engineer...\",\n    \"status\": \"open\",\n    \"created_at\": \"2023-07-20T15:30:45Z\"\n}"}],"_postman_id":"9a8e22c3-b493-4930-a630-23d3545d3fc7"}],"id":"20db95b7-458c-4cc2-ab42-be29d30654da","_postman_id":"20db95b7-458c-4cc2-ab42-be29d30654da","description":"","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"X-API-Key"},{"key":"value","value":"your_api_key"}]},"isInherited":true,"source":{"_postman_id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","name":"Kerplunk API","type":"collection"}}},{"name":"Interviews","item":[{"name":"List","event":[{"listen":"test","script":{"exec":["","","// Stores the first API key id in an environment or global variable","var firstObject = pm.response.json().results[0];","pm.collectionVariables.set(\"interview_ulid\", firstObject.id);"],"type":"text/javascript","packages":{},"id":"b1855104-e4d8-4e03-b6bd-546875a30185"}}],"id":"ea178a23-c73b-4c1a-b91f-82e6fab6176f","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.kerplunk.com/api/v1/interviews","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"X-API-Key"},{"key":"value","value":"your_api_key"}]},"isInherited":true,"source":{"_postman_id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","name":"Kerplunk API","type":"collection"}},"urlObject":{"path":["interviews"],"host":["https://api.kerplunk.com/api/v1"],"query":[],"variable":[]}},"response":[{"id":"a357f643-340e-4b2e-add1-f186d3eae777","name":"Success","originalRequest":{"method":"GET","header":[],"url":"https://api.kerplunk.com/api/v1/interviews"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[],"cookie":[],"responseTime":null,"body":"{\n    \"results\": [\n        {\n            \"id\": \"01H6MXPNKTV7YEWQ3K7JMZCRZN\",\n            \"title\": \"Software Engineer Interview\",\n            \"status\": \"scheduled\",\n            \"created_at\": \"2023-07-21T10:15:30Z\"\n        }\n    ],\n    \"total_count\": 1,\n    \"page\": 1,\n    \"per_page\": 25\n}"}],"_postman_id":"ea178a23-c73b-4c1a-b91f-82e6fab6176f"},{"name":"Show","id":"2dd51a76-6695-41c1-8e57-05c0126fa30a","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.kerplunk.com/api/v1/interviews/{{interview_ulid}}","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"X-API-Key"},{"key":"value","value":"your_api_key"}]},"isInherited":true,"source":{"_postman_id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","name":"Kerplunk API","type":"collection"}},"urlObject":{"path":["interviews","{{interview_ulid}}"],"host":["https://api.kerplunk.com/api/v1"],"query":[],"variable":[]}},"response":[{"id":"b4ebafe5-f11d-4009-9ef4-ce4d3a76670e","name":"Success","originalRequest":{"method":"GET","header":[],"url":"https://api.kerplunk.com/api/v1/interviews/{{interview_ulid}}"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[],"cookie":[],"responseTime":null,"body":"{\n    \"id\": \"01H6MXPNKTV7YEWQ3K7JMZCRZN\",\n    \"title\": \"Software Engineer Interview\",\n    \"description\": \"Interview for the Software Engineer position\",\n    \"status\": \"scheduled\",\n    \"created_at\": \"2023-07-21T10:15:30Z\"\n}"}],"_postman_id":"2dd51a76-6695-41c1-8e57-05c0126fa30a"}],"id":"4c5b6192-d348-41a8-8e47-8cead59233c7","_postman_id":"4c5b6192-d348-41a8-8e47-8cead59233c7","description":"","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"X-API-Key"},{"key":"value","value":"your_api_key"}]},"isInherited":true,"source":{"_postman_id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","name":"Kerplunk API","type":"collection"}}},{"name":"Zapier","item":[{"name":"Show Organization","id":"d3160bde-4a35-46ea-b67a-93f3ff4ce0e4","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"{{base_url}}/zapier/show","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"X-API-Key"},{"key":"value","value":"your_api_key"}]},"isInherited":true,"source":{"_postman_id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","name":"Kerplunk API","type":"collection"}},"urlObject":{"path":["zapier","show"],"host":["{{base_url}}"],"query":[],"variable":[]}},"response":[{"id":"f7c14007-bd66-463f-ac2c-773877d20abe","name":"Success","originalRequest":{"method":"GET","header":[],"url":"{{base_url}}/zapier/show"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[],"cookie":[],"responseTime":null,"body":"{\n    \"id\": \"01H6MXPNKTV7YEWQ3K7JMZCRZP\",\n    \"name\": \"Acme Corp\",\n    \"email\": \"contact@acmecorp.com\",\n    \"created_at\": \"2023-07-01T09:00:00Z\"\n}"}],"_postman_id":"d3160bde-4a35-46ea-b67a-93f3ff4ce0e4"},{"name":"Subscribe Zap","event":[{"listen":"test","script":{"exec":["pm.test(\"Status code is 200\", function () {","    pm.response.to.have.status(200);","});","","pm.test(\"Response has correct structure\", function () {","    var jsonData = pm.response.json();","    pm.expect(jsonData).to.have.property('object_type');","    pm.expect(jsonData).to.have.property('hook_url');","    pm.expect(jsonData).to.have.property('zap_id');","    pm.expect(jsonData).to.have.property('created_at');","});"],"type":"text/javascript","id":"afac57bb-e6a5-4c7f-b2d5-aade317fab73"}}],"id":"b45e9a61-13b3-420e-a099-e44933b1e282","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"POST","header":[],"body":{"mode":"raw","raw":"{\n    \"object_type\": \"job_listings\",\n    \"hookUrl\": \"{{vault:zapier-webhook-url}}\",\n    \"zapId\": \"zap_123\"\n}","options":{"raw":{"language":"json"}}},"url":"{{base_url}}/zapier/subscribe","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"X-API-Key"},{"key":"value","value":"your_api_key"}]},"isInherited":true,"source":{"_postman_id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","name":"Kerplunk API","type":"collection"}},"urlObject":{"path":["zapier","subscribe"],"host":["{{base_url}}"],"query":[],"variable":[]}},"response":[{"id":"c1f8c295-0ec0-40fd-be4d-338e16b92ea5","name":"Success","originalRequest":{"method":"POST","header":[],"body":{"mode":"raw","raw":"{\n    \"object_type\": \"job_listings\",\n    \"hookUrl\": \"{{vault:zapier-webhook-url}}\",\n    \"zapId\": \"zap_123\"\n}","options":{"raw":{"language":"json"}}},"url":"{{base_url}}/zapier/subscribe"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[],"cookie":[],"responseTime":null,"body":"{\n    \"object_type\": \"job_listings\",\n    \"hook_url\": \"{{vault:zapier-webhook-url}}\",\n    \"zap_id\": \"zap_123\",\n    \"created_at\": \"2023-07-22T14:30:00Z\"\n}"}],"_postman_id":"b45e9a61-13b3-420e-a099-e44933b1e282"},{"name":"Unsubscribe Zap","event":[{"listen":"test","script":{"exec":["pm.test(\"Status code is 200\", function () {","    pm.response.to.have.status(200);","});","","pm.test(\"Response has correct message\", function () {","    var jsonData = pm.response.json();","    pm.expect(jsonData.message).to.eql('Zapier integration removed');","});"],"type":"text/javascript","id":"4e33de52-0a98-4b06-810e-642a63bfb509"}}],"id":"6934259c-6199-4f02-a89c-759fd810afd4","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"POST","header":[],"body":{"mode":"raw","raw":"{\n    \"zapId\": \"zap_123\"\n}","options":{"raw":{"language":"json"}}},"url":"{{base_url}}/zapier/unsubscribe","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"X-API-Key"},{"key":"value","value":"your_api_key"}]},"isInherited":true,"source":{"_postman_id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","name":"Kerplunk API","type":"collection"}},"urlObject":{"path":["zapier","unsubscribe"],"host":["{{base_url}}"],"query":[],"variable":[]}},"response":[{"id":"32789597-dd0a-4165-bd48-64fef4c61de0","name":"Success","originalRequest":{"method":"POST","header":[],"body":{"mode":"raw","raw":"{\n    \"zapId\": \"zap_123\"\n}","options":{"raw":{"language":"json"}}},"url":"{{base_url}}/zapier/unsubscribe"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[],"cookie":[],"responseTime":null,"body":"{\n    \"message\": \"Zapier integration removed\"\n}"}],"_postman_id":"6934259c-6199-4f02-a89c-759fd810afd4"},{"name":"List Job Listings","event":[{"listen":"test","script":{"exec":["pm.test(\"Status code is 200\", function () {","    pm.response.to.have.status(200);","});","","pm.test(\"Response is an array\", function () {","    var jsonData = pm.response.json();","    pm.expect(jsonData).to.be.an('array');","});","","pm.test(\"Job listing has correct structure\", function () {","    var jsonData = pm.response.json();","    if (jsonData.length > 0) {","        pm.expect(jsonData[0]).to.have.property('id');","        pm.expect(jsonData[0]).to.have.property('title');","        pm.expect(jsonData[0]).to.have.property('status');","        pm.expect(jsonData[0]).to.have.property('created_at');","    }","});"],"type":"text/javascript","id":"2fa8082b-4278-441d-9346-727961ba718b"}}],"id":"e8f21765-8a4b-46b8-b1c2-d73a37e31e2b","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"{{base_url}}/zapier/list?object_type=job_listings","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"X-API-Key"},{"key":"value","value":"your_api_key"}]},"isInherited":true,"source":{"_postman_id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","name":"Kerplunk API","type":"collection"}},"urlObject":{"path":["zapier","list"],"host":["{{base_url}}"],"query":[{"key":"object_type","value":"job_listings"}],"variable":[]}},"response":[],"_postman_id":"e8f21765-8a4b-46b8-b1c2-d73a37e31e2b"},{"name":"List Interviews","event":[{"listen":"test","script":{"exec":["pm.test(\"Status code is 200\", function () {","    pm.response.to.have.status(200);","});","","pm.test(\"Response is not empty\", function () {","    pm.expect(pm.response.text()).to.not.be.empty;","});"],"type":"text/javascript","id":"bbbc714d-05ac-45be-8bca-c021ecbff717"}}],"id":"e95a4db1-3276-45a5-9f64-330898f766fa","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"{{base_url}}/zapier/list?object_type=interviews","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"X-API-Key"},{"key":"value","value":"your_api_key"}]},"isInherited":true,"source":{"_postman_id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","name":"Kerplunk API","type":"collection"}},"urlObject":{"path":["zapier","list"],"host":["{{base_url}}"],"query":[{"key":"object_type","value":"interviews"}],"variable":[]}},"response":[],"_postman_id":"e95a4db1-3276-45a5-9f64-330898f766fa"}],"id":"0d12cfac-4dbe-4f72-a3bc-9d8473ce2621","_postman_id":"0d12cfac-4dbe-4f72-a3bc-9d8473ce2621","description":"","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"X-API-Key"},{"key":"value","value":"your_api_key"}]},"isInherited":true,"source":{"_postman_id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","id":"0603f0a4-fad9-4919-b1dd-96fc5e0885e9","name":"Kerplunk API","type":"collection"}}}],"auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"X-API-Key"},{"key":"value","value":"your_api_key"}]}},"event":[{"listen":"prerequest","script":{"type":"text/javascript","exec":[""],"id":"83e7e00a-15de-40ec-9538-a556bda6558d"}},{"listen":"test","script":{"type":"text/javascript","exec":[""],"id":"7c323d5f-2e84-4de8-b2cc-af89d400cfba"}}],"variable":[{"key":"endpoint","value":"https://api.kerplunk.com/api/v1"},{"key":"api_key","value":"your_api_key"},{"key":"interviewUlid","value":""},{"key":"jobUlid","value":""}]}